/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 8; tab-width: 8 -*- */

/* e-book-backend-tdb.h - TDB contact backend.
 *
 * Copyright (C) 2005 Tollef Fog Heen <tfheen@err.no>
 *
 * Copyright (C) 2005 Novell, Inc.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Tollef Fog Heen <tfheen@err.no>
 *
 * Based on work by: Nat Friedman <nat@novell.com>
 *                   Chris Toshok <toshok@ximian.com>
 *                   Hans Petter Jansson <hpj@novell.com>
 */

#ifndef __E_BOOK_BACKEND_TDB_H__
#define __E_BOOK_BACKEND_TDB_H__

#include <libedata-book/e-book-backend-sync.h>

#define E_TYPE_BOOK_BACKEND_TDB        (e_book_backend_tdb_get_type ())
#define E_BOOK_BACKEND_TDB(o)          (G_TYPE_CHECK_INSTANCE_CAST ((o), E_TYPE_BOOK_BACKEND_TDB, EBookBackendTDB))
#define E_BOOK_BACKEND_TDB_CLASS(k)    (G_TYPE_CHECK_CLASS_CAST((k), E_TYPE_BOOK_BACKEND_TDB, EBookBackendTDBClass))
#define E_IS_BOOK_BACKEND_TDB(o)       (G_TYPE_CHECK_INSTANCE_TYPE ((o), E_TYPE_BOOK_BACKEND_TDB))
#define E_IS_BOOK_BACKEND_TDB_CLASS(k) (G_TYPE_CHECK_CLASS_TYPE ((k), E_TYPE_BOOK_BACKEND_TDB))
#define E_BOOK_BACKEND_TDB_GET_CLASS(k) (G_TYPE_INSTANCE_GET_CLASS ((obj), E_TYPE_BOOK_BACKEND_TDB, EBookBackendTDBClass))

typedef struct _EBookBackendTDBPrivate EBookBackendTDBPrivate;

typedef struct {
	EBookBackendSync         parent_object;
	EBookBackendTDBPrivate *priv;
} EBookBackendTDB;

typedef struct {
	EBookBackendSyncClass parent_class;
} EBookBackendTDBClass;

EBookBackend *e_book_backend_tdb_new      (void);
GType       e_book_backend_tdb_get_type (void);

#endif /* ! __E_BOOK_BACKEND_TDB_H__ */

